package com.ruoyi.care.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 业务务指派对象 care_assignments
 * 
 * @author qy
 * @date 2024-11-26
 */
public class CareAssignments extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 业务务指派唯一标志 */
    private Long assignId;

    /** 护理业务数据数据标志 */
    @Excel(name = "护理业务数据数据标志")
    private Long applyId;

    /** 护理公司数据id */
    @Excel(name = "护理公司数据id")
    private Long companyId;

    /** 护理人员 */
    @Excel(name = "护理人员")
    private Long nurseId;

    /** 护理要求 */
    @Excel(name = "护理要求")
    private String careRequirements;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;

    public void setAssignId(Long assignId) 
    {
        this.assignId = assignId;
    }

    public Long getAssignId() 
    {
        return assignId;
    }
    public void setApplyId(Long applyId) 
    {
        this.applyId = applyId;
    }

    public Long getApplyId() 
    {
        return applyId;
    }
    public void setCompanyId(Long companyId) 
    {
        this.companyId = companyId;
    }

    public Long getCompanyId() 
    {
        return companyId;
    }
    public void setNurseId(Long nurseId) 
    {
        this.nurseId = nurseId;
    }

    public Long getNurseId() 
    {
        return nurseId;
    }
    public void setCareRequirements(String careRequirements) 
    {
        this.careRequirements = careRequirements;
    }

    public String getCareRequirements() 
    {
        return careRequirements;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("assignId", getAssignId())
            .append("applyId", getApplyId())
            .append("companyId", getCompanyId())
            .append("nurseId", getNurseId())
            .append("careRequirements", getCareRequirements())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
